//priority: 0

//hazmat
onEvent('recipes', e => {

    // crystal bow
    const t = TA(`shortbow`)
    e.recipes.create.sequenced_assembly([
        MBR(`diamond_bow`),
    ], Item.of(t).ignoreNBT(), [
        e.recipes.createFilling(t, [t, Fluid.of(EE("molten_cast_iron"), 1000)]),
        e.recipes.createDeploying(t, [t, AE2("charged_certus_quartz_crystal")]),
        e.recipes.createDeploying(t, [t, AE2('sky_dust')]),
        e.recipes.createDeploying(t, [t,PRE('klein_star_zwei')]), //(2048*8+8192)*4*4*4 = 1.57 mil
        e.recipes.createFilling(t, [t, Fluid.of(EE("molten_redstone"), 1000)]),
    ]).transitionalItem(t)
        .loops(16)
        .id(KJ(`diamond_bow`))



    //frost bow
    e.recipes.create.mechanical_crafting(MBR('frost_bow'), bowTemplates.advanced, {
		A: Item.of(MBR(`diamond_bow`)).ignoreNBT(),
		B: F('#ingots/red_alloy'),
		C: AE2('singularity'),
		D: MC('blue_ice'),
        E: PRE('klein_star_omega'), //25 mil
		F: PRE('collector_mk1'),
    }).id(KJ("frost_bow"))



    //blaze bow
    e.recipes.createMechanicalCrafting(MBR('flame_bow'), bowTemplates.elite, {
		A: Item.of(MBR('frost_bow')).ignoreNBT(),
		B: MU('experience_opinium_core'),
		C: PREXP('magnum_star_ein'), //100.64 mil
		D: CRAD('overcharged_alloy'),
		E: MC('blaze_powder'),
		F: PRE('collector_mk1'),
		G: CC('monstrous_horn'),
	}).id(KJ("flame_bow"))



    //blaze bow
    e.recipes.extendedcrafting.shaped_table(MBR('multi_bow'), bowTemplates.ultimate, {
        A: Item.of(MBR(`flame_bow`)).ignoreNBT(),
		B: MU("the_final_opinium_core"),
		C: CM('star_infused_netherite_ingot'),
		D: KJ('missingno'),
		E: KJ('computation_matrix'),
		F: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:energy_collector_mk1" }),
        G: PREXP('magnum_star_zwei'), //400.64 mil
	}).id(KJ("multi_bow"))



    //ender bow
    e.custom({
        input: [
			{ item: AV("endest_pearl") },
			{ item: MBR("multi_bow") },
			{ item: AV("endest_pearl") },
			{ item: CC("ignitium_block") },
			{ item: CC("ignitium_block") },
			{ item: PRE("relay_mk2") },
			{ item: PREXP("magnum_star_drei") }, //1.6 bil
			{ item: PRE("relay_mk2") },
        ],
        inputFluid: "{FluidName:\"industrialforegoing:ether_gas\",Amount:8000}",
        processingTime: 400,
        output: {
          item: MBR("ender_bow"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("ender_bow"))



    //longbow of the heavens
    e.recipes.extendedcrafting.shaped_table(AV('longbowofthe_heavens'), bowTemplates.ultimate, {
        A: Item.of(MBR(`ender_bow`)).ignoreNBT(),
		B: AV("infinity_ingot"),
		C: AV('infinity_catalyst'),
		D: PREXP('fading_matter'),
		E: EC('the_ultimate_ingot'),
		F: EC("ultimate_singularity"),
        G: PREXP('colossal_star_omega'), //422.21 tril
	}).id(KJ("longbowofthe_heavens"))
})